%define tgl_version	20190203

%global _legacy_common_support 1

Name:		telegram-cli
Version:	20200106
Release:	%mkrel 4
Summary:	Linux Command-line interface for Telegram
Group:		Networking/Instant messaging
License:	GPLv2+ and LGPLv2+
URL:		https://github.com/kenorb-contrib/tg
Source0:	https://github.com/kenorb-contrib/tg/archive/%{version}/tg-%{version}.tar.gz
Source1:	https://github.com/kenorb-contrib/tgl/archive/%{tgl_version}/tgl-%{tgl_version}.tar.gz

##Remove local include and libraries locations
Patch0:		%{name}-compilerflags.patch
Patch1:		%{name}-upstream-fixes-from-git20200402.patch

BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(libconfig)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(readline)

%description
Telegram is an Open Source instant messaging platform for mobile and
desktop focused on privacy.
This is a Linux Command-line interface for Telegram.

%prep
%setup -q -n tg-%{version} -a 1
%autopatch -p1

mv tgl-%{tgl_version}/* tgl/
rm -rf tgl-%{tgl_version}

%build
%configure \
	--enable-libconfig \
	--enable-liblua
%make_build

%install
%make_install PREFIX=%{_prefix}

##Manual installation
mkdir -p %{buildroot}%{_sysconfdir}/telegram/server.pub
mkdir -p %{buildroot}%{_mandir}/man8

install -p -m 0644 tg-server.pub %{buildroot}%{_sysconfdir}/telegram/server.pub
install -p -m 0644 debian/telegram-cli.8 %{buildroot}%{_mandir}/man8/%{name}.8

%files
%doc README.md README-LUA LICENSE
%{_bindir}/%{name}
%dir %{_sysconfdir}/telegram
%dir %{_sysconfdir}/telegram/server.pub
%config(noreplace) %{_sysconfdir}/telegram/server.pub/tg-server.pub
%{_mandir}/man8/%{name}.8.*


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 20200106-4.mga9
+ Revision: 1799615
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 20200106-3.mga9
+ Revision: 1748107
- rebuild for openssl 3.0.0

* Sat Apr 03 2021 wally <wally> 20200106-2.mga9
+ Revision: 1712970
- rebuild for lua 5.4
- build with -fcommon

* Thu Aug 13 2020 daviddavid <daviddavid> 20200106-1.mga8
+ Revision: 1613964
- new version: 20200106 (fork from https://github.com/kenorb-contrib/tg) (mga#27106)
- package a manpage

* Wed Feb 19 2020 umeabot <umeabot> 1.0.2-0.20140908git8c2069.12.mga8
+ Revision: 1542362
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 luigiwalser <luigiwalser> 1.0.2-0.20140908git8c2069.11.mga8
+ Revision: 1476019
- rebuild for readline

* Sun Sep 23 2018 umeabot <umeabot> 1.0.2-0.20140908git8c2069.10.mga7
+ Revision: 1301356
- Mageia 7 Mass Rebuild

* Fri Apr 06 2018 kekepower <kekepower> 1.0.2-0.20140908git8c2069.9.mga7
+ Revision: 1215616
- Rebuild for new libconfig

* Tue Jan 02 2018 wally <wally> 1.0.2-0.20140908git8c2069.8.mga7
+ Revision: 1189476
- rebuild for new readline

* Wed Sep 06 2017 cjw <cjw> 1.0.2-0.20140908git8c2069.7.mga7
+ Revision: 1151624
- patch2: fix printf format overflow
- patch1: fix build with openssl 1.1

* Thu Feb 16 2017 mrambo3501 <mrambo3501> 1.0.2-0.20140908git8c2069.5.mga6
+ Revision: 1086434
- rebuild for new libevent

* Sat Feb 06 2016 umeabot <umeabot> 1.0.2-0.20140908git8c2069.4.mga6
+ Revision: 940786
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-0.20140908git8c2069.3.mga5
+ Revision: 744421
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-0.20140908git8c2069.2.mga5
+ Revision: 689777
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 juancho <juancho> 1.0.2-0.20140908git8c2069.1.mga5
+ Revision: 675532
- imported package telegram-cli


* Mon Sep 08 2014 Antonio Trande <sagitterATfedoraproject.org> 1.0.2-1.20140908git8c2069
- Add support of libevent 1.4.* (on EPEL) 
- Update to 1.0.2

* Fri Sep 05 2014 Antonio Trande <sagitterATfedoraproject.org> 1.0.1-3.20140831git30ad29
- ExcludeArch ppc ppc64
- Defined rhel macro for libevent headers

* Mon Sep 01 2014 Antonio Trande <sagitterATfedoraproject.org> 1.0.1-2.20140831git30ad29
- Added libevent BR

* Mon Sep 01 2014 Antonio Trande <sagitterATfedoraproject.org> 1.0.1-1.20140831git30ad29
- Release 1.0.1 (commit 30ad29)
- Binary file renamed telegram-cli
- Removed %%{?_smp_mflags} macro
- Added license LGPLv2+

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.20140321git1dad2e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20140321git1dad2e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 23 2014 Antonio Trande <sagitterATfedoraproject.org> 0-0.5.20140321git1dad2e
- New commit (1dad2e)

* Wed Mar 19 2014 Antonio Trande <sagitterATfedoraproject.org> 0-0.4.20140316git90f627
- New commit (90f627)

* Sat Mar 15 2014 Antonio Trande <sagitterATfedoraproject.org> 0-0.3.20140312git046b8f
- New commit (046b8f)
- Defined a 'date' macro
- Added '--with-progname=' option 

* Sat Mar 08 2014 Antonio Trande <sagitterATfedoraproject.org> 0-0.2.20140307git8b78b6
- Package renamed to telegram-cli 

* Fri Mar 07 2014 Antonio Trande <sagitterATfedoraproject.org> 0-0.1.20140307git8b78b6
- Initial package
